(sb-heapdump::dump-object (let ((x (make-hash-table)))
			    (setf (gethash 'foo x) 'bar)
			    x)
                          "/home/david/test.heap"
                          :if-exists :supersede)

(defun ff (x) (if (zerop x) 1 (* x (ff (1- x)))))

(sb-heapdump::dump-object
 #'ff
 "/home/david/test.heap"
 :force t
 :if-exists :supersede)

(sb-heapdump::dump-packages :xmls
			    "/home/david/test.heap"
			    :if-exists :supersede
			    :print-statistics t)

(sb-heapdump::dump-packages
 '(:puri
   :trivial-gray-streams
   :rune-dom :runes :runes-encoding :utf8-runes
   :cxml :sax :dom :utf8-dom :cxml-xmls
   :domtest :xmlconf :domtest-tests)
 "/home/david/test.heap"
 :if-exists :supersede
 :print-statistics t)

(sb-heapdump::dump-packages
 ;; The test stuff is apparently loaded only when compiling clx for the
 ;; first time (and must then be dumped, too), not when loading clx later (?).
 ;; Let's just ignore the non-existant package for now.
 (remove nil (mapcar #'find-package '(:gl :glx :xlib :clipboard :gl-test)))
 "/home/david/test.heap"
 :if-exists :supersede
 ;; ohne worte
 :initializer (let ((event-keys xlib::*event-key-vector*))
		(lambda (packages)
		  (loop
		      for event-key across event-keys
		      for i from 0
		      do
			(setf (get event-key 'xlib::event-code) i))
		  packages)))
(load "/home/david/src/lisp/clx_0.7.1/demo/menu")
(xlib::just-say-lisp)
